<?php
// logout.php
session_start();

if (isset($_SESSION['user_id'])) {
    require_once 'config.php'; // Necesitas la conexión a la BD
    $user_id_to_logout = $_SESSION['user_id'];

    // Marcar como offline en la base de datos
    $update_status_query = "
        UPDATE user_status
        SET status = 'offline', last_activity = NOW()
        WHERE user_id = ?";
    $stmt = $conn->prepare($update_status_query);
    // Es buena idea verificar si la preparación falló
    if ($stmt) {
        $stmt->bind_param("i", $user_id_to_logout);
        $stmt->execute();
        $stmt->close();
    } else {
         error_log("Error preparing statement to update status on logout for user ID: " . $user_id_to_logout . " - " . $conn->error);
    }
    $conn->close();
}

// Destruir todas las variables de sesión.
$_SESSION = array();

// Si se desea destruir la sesión completamente, borre también la cookie de sesión.
// Nota: ¡Esto destruirá la sesión, y no la información de la sesión!
if (ini_get("session.use_cookies")) {
    $params = session_get_cookie_params();
    setcookie(session_name(), '', time() - 42000,
        $params["path"], $params["domain"],
        $params["secure"], $params["httponly"]
    );
}

// Finalmente, destruir la sesión.
session_destroy();

// Redirigir a la página de login
header("Location: login.php");
exit();
?>